RealPlayer 5.0 wont work, Netscape 4.51, Slackware 4.0.0

RealPlayer 5.0 wont work, Netscape 4.51, Slackware 4.0.0

Post by Ron Gibs » Sun, 31 Dec 1899 09:00:00



Can anyone help me with setting up RealAudio 5.0/elf?

I've followed the instructions for both plugin setup and helper
application and neither works.  I know it's not my sound card as I did
get the old aout 3.0 version working and it played the demo file but I
found when attempting to use that on broadcast.com that the version was
too old.  The kernel does have elf support.  I can't even get the player
to launch itself without netscape.  No error messages either.  And I've
tried combinations of both plugin and helper setups.  It appears that
something is missing.

Setup...

Slackware 4.0.0
KDE desktop
Netscape 4.51


 
 
 

RealPlayer 5.0 wont work, Netscape 4.51, Slackware 4.0.0

Post by A Guy Called Tyket » Sun, 31 Dec 1899 09:00:00


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

        (Followups set to comp.os.linux.setup)


> Can anyone help me with setting up RealAudio 5.0/elf?

> I've followed the instructions for both plugin setup and helper
> application and neither works.  I know it's not my sound card as I did
> get the old aout 3.0 version working and it played the demo file but I
> found when attempting to use that on broadcast.com that the version was
> too old.  The kernel does have elf support.  I can't even get the player
> to launch itself without netscape.  No error messages either.  And I've
> tried combinations of both plugin and helper setups.  It appears that
> something is missing.

        If you have not changed anything library wise (i.e.: still using
libc5), Check out /usr/src/linux/Documentation/Changes. The bug in
Realplayer 5.0 is no joke. Try the fix on it, as well. Worked for me,
back at the 2.1.119 stage. Should still work now.

                                                        BL.
- --


WebMaster, NewsMaster.. Smeghead! :)    |   http://www.omnilinx.net/~tyketto
    PGP: 1024/E9DF4D85 67 6B 33 D0 B9 95 F4 37  4B D1 CE BD 48 B0 06 93

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v0.9.10 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE3w+0iyBkZmuMZ8L8RAopOAKDyE3duYNlSiXAQBJ70fzDfB6RupQCgpv3A
VaZW6XmzllbbYnkdCkRjl5M=
=eXK9
-----END PGP SIGNATURE-----

 
 
 

RealPlayer 5.0 wont work, Netscape 4.51, Slackware 4.0.0

Post by Stewart Hecto » Sun, 31 Dec 1899 09:00:00


try download the alpha version of RealAudio 6.  Some times it crashes, but
its better than nothing...


> Can anyone help me with setting up RealAudio 5.0/elf?

> I've followed the instructions for both plugin setup and helper
> application and neither works.  I know it's not my sound card as I did
> get the old aout 3.0 version working and it played the demo file but I
> found when attempting to use that on broadcast.com that the version was
> too old.  The kernel does have elf support.  I can't even get the player
> to launch itself without netscape.  No error messages either.  And I've
> tried combinations of both plugin and helper setups.  It appears that
> something is missing.

> Setup...

> Slackware 4.0.0
> KDE desktop
> Netscape 4.51



--
Stewart
ICQ: 5308166
http://freespace.*.net/s.hector/index.htm

=================================================
The last time I cried, I could see the people
Long ago in the rain
Waiting as the soldiers put them all on a  train
And the hands on the bars, the eyes full of tears
And the word is the same, for a thousand years,
Eli Eli Lama, Oh Lord, you have forsaken me...
-------------------------------------------------
CdeB - The Last Time I Cried
=================================================

 
 
 

RealPlayer 5.0 wont work, Netscape 4.51, Slackware 4.0.0

Post by Hal Burgi » Sun, 31 Dec 1899 09:00:00



Quote:>Can anyone help me with setting up RealAudio 5.0/elf?

>I've followed the instructions for both plugin setup and helper
>application and neither works.  I know it's not my sound card as I did
>get the old aout 3.0 version working and it played the demo file but I
>found when attempting to use that on broadcast.com that the version was
>too old.  The kernel does have elf support.  I can't even get the player
>to launch itself without netscape.  No error messages either.  And I've
>tried combinations of both plugin and helper setups.  It appears that
>something is missing.

>Setup...

>Slackware 4.0.0
>KDE desktop
>Netscape 4.51

If this is 2.2 kernel, you need RealPlayerG2:

  http://www.real.com/products/player/linux.html

--
Hal B

--
            Linux helps those who help themselves

 
 
 

RealPlayer 5.0 wont work, Netscape 4.51, Slackware 4.0.0

Post by Ron Gibs » Sun, 31 Dec 1899 09:00:00





> > Can anyone help me with setting up RealAudio 5.0/elf?

> > I've followed the instructions for both plugin setup and helper
> > application and neither works.  I know it's not my sound card as I did
> > get the old aout 3.0 version working and it played the demo file but I
> > found when attempting to use that on broadcast.com that the version was
> > too old.  The kernel does have elf support.  I can't even get the player
> > to launch itself without netscape.  No error messages either.  And I've
> > tried combinations of both plugin and helper setups.  It appears that
> > something is missing.
>    If you have not changed anything library wise (i.e.: still using
> libc5), Check out /usr/src/linux/Documentation/Changes. The bug in
> Realplayer 5.0 is no joke. Try the fix on it, as well. Worked for me,
> back at the 2.1.119 stage. Should still work now.

Is the bug explained there?


 
 
 

RealPlayer 5.0 wont work, Netscape 4.51, Slackware 4.0.0

Post by A Guy Called Tyket » Sun, 31 Dec 1899 09:00:00


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1




> >       If you have not changed anything library wise (i.e.: still using
> > libc5), Check out /usr/src/linux/Documentation/Changes. The bug in
> > Realplayer 5.0 is no joke. Try the fix on it, as well. Worked for me,
> > back at the 2.1.119 stage. Should still work now.

> Is the bug explained there?

        Aye. it is. From /usr/src/linux/Documentation/Changes:

RealPlayer
==========

   Current releases of Real Player 5.0 depend on a bug in the sound
sub-system which is no longer there.  Consequently, they don't work.
Real is aware of the problem and should have an updated version of the
software available shortly.  In the mean time, you can always try
backing up your copy of rvplayer, and then editing it by:

   dd if=/dev/zero of=rvplayer bs=1 count=1 seek=657586 conv=notrunc

   dd if=/dev/zero of=rvplayer bs=1 count=1 seek=665986 conv=notrunc

   If you're lucky, you'll then have sound....

   You may also need to edit it with

   dd if=/dev/zero of=rvplayer bs=1 count=1 seek=702554 conv=notrunc

   as well.  Alternately, download rpopen from
http://onramp.i2k.com/~jeffd/rpopen/ and pre-load it before you run
rvplayer (it's a shared object which blocks rvplayer from doing the
NONBLOCKing open of /dev/dsp).

        This bug was existing in the sound code, until kernel 2.1.119.
Alan Cox fixed it. However, Real built realplayer based on the version
of the sound code, before the bug was fixed. So, when the kernel was
upgraded, to fix the bug, it broke realplayer. As the  above stated,
Real is aware of it, and are fixing it and will have a release version
of Realplayer out (sometime) soon.

                                                        BL.
- --


WebMaster, NewsMaster.. Smeghead! :)    |   http://www.omnilinx.net/~tyketto
    PGP: 1024/E9DF4D85 67 6B 33 D0 B9 95 F4 37  4B D1 CE BD 48 B0 06 93

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v0.9.10 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE3xEHOyBkZmuMZ8L8RAkByAKCUgmDX6TXq0PF7d7fOrYcBsq9faACgmUvs
3Zt0UWLay6UvP1nbiUpl7Yo=
=bVR/
-----END PGP SIGNATURE-----

 
 
 

RealPlayer 5.0 wont work, Netscape 4.51, Slackware 4.0.0

Post by Ron Gibs » Sun, 31 Dec 1899 09:00:00




> > >  If you have not changed anything library wise (i.e.: still using
> > > libc5), Check out /usr/src/linux/Documentation/Changes. The bug in
> > > Realplayer 5.0 is no joke. Try the fix on it, as well. Worked for me,
> > > back at the 2.1.119 stage. Should still work now.

> > Is the bug explained there?

>    Aye. it is. From /usr/src/linux/Documentation/Changes:

Hey that's great of you for the help.  I was beginning to think I was
going whacky, because the installation looks pretty damn simple.


 
 
 

RealPlayer 5.0 wont work, Netscape 4.51, Slackware 4.0.0

Post by Ron Gibs » Sun, 31 Dec 1899 09:00:00




>    as well.  Alternately, download rpopen from
> http://onramp.i2k.com/~jeffd/rpopen/ and pre-load it before you run
> rvplayer (it's a shared object which blocks rvplayer from doing the
> NONBLOCKing open of /dev/dsp).

Still no luck so far but I have some other options.  I tried the rpopen
and it lead to a link for a rplayer alpha and it had a .exe extension???

This has to be some kind of an error, Anybody know what kind.  I haven't
tried yet buy my guess is that is should have a tar.gz, tgz or tar.Z
extension and someone put it up wrong.


 
 
 

1. Java not working with Netscape 4.51

Hello,

I do not find a solution to our problem:

We installed Netscape 4.51 in our AIX environment on a server. Running
on some client machines (mostly PPC machines), everything will work
fine.
But running Netscape on other machines (same user, same preferences),
calling pages with java applets will freeze Netscape. We have to kill it
manually, leaving a graveyard of dead netscape processes. This happens
mostly on older machines (model 220, 250), but the problem can not
consequently be fixed on the machine type (some 43P as well). Same OS
level (AIX 4.2.1), same lpp's are installed on all machines (except of
the devices, of course).

Did anybody encounter the same problem. Any ideas?

I heard some rumours, that Netscape 4.51 would work on PPC machines
only. Is there anybody to confirm or deny this?

Thanks for your help,
Claudia

2. tcpdump

3. Delete key is not working in Netscape 4.51

4. RH5.1 Drivers for Diamond Stealth II G460

5. Netscape 4.51 aborts on starting Java

6. VT320 Terminal Emulator: setup for 24 lines?

7. Java on Linux Netscape Communicator 4.51

8. Q: xterm->cm copy&paste/date on dtcm icon/callog

9. Netscape 4.51 RPM

10. Netscape 4.51

11. Netscape 4.51 Messenger kills Intel Box

12. Problems with Netscape 4.51 and 6